package cz.moneta.test.dsl.util.task.auto.smartauto.newcalculation;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.auto.smartauto.NewCalculationPage;
import cz.moneta.test.dsl.auto.smartauto.shared.PrGroup;

import java.util.function.Function;

public class PrGroupTasks {

    private final Harness harness;

    public PrGroupTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<NewCalculationPage, NewCalculationPage> choosePrGroup(PrGroup prGroup) {
        return start -> start
                .clickVehiclePrGroupValue(prGroup);
    }
}
